# XQillaNSResolver Class Reference

The `XQillaNSResolver` interface extends the `DOMXPathNSResolver` providing the ability to add additional namespace bindings. More...

`#include <XQillaNSResolver.hpp>`

Inheritance diagram for XQillaNSResolver:

[legend]
List of all members.

## Public Member Functions

Non-standard extension
virtual void | addNamespaceBinding (const XMLCh *prefix, const XMLCh *uri)=0
| Non-standard extension.
virtual const XMLCh * | lookupNamespaceURI (const XMLCh *prefix) const =0
| Look up the namespace URI associated to the given namespace prefix.
virtual const XMLCh * | lookupPrefix (const XMLCh *uri) const =0
| Non-standard extension.
Non-standard Extension
virtual void | release ()=0
| Called to indicate that this object (and its associated children) is no longer in use and that the implementation may relinquish any resources associated with it and its associated children.

## Protected Member Functions

Hidden constructors
| XQillaNSResolver ()

## Detailed Description

The `XQillaNSResolver` interface extends the `DOMXPathNSResolver` providing the ability to add additional namespace bindings.

Since:
  DOM Level 3

## Constructor & Destructor Documentation

XQillaNSResolver::XQillaNSResolver | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual void XQillaNSResolver::addNamespaceBinding | ( | const XMLCh * | prefix,
|  | const XMLCh * | uri
| ) | `[pure virtual]`

Non-standard extension.

XQilla requires additional bindings of namespaces. This method will bind the given prefix to the associated namespace.

Parameters:

  | prefix | of type XMLCh - The prefix to bind.
  | URI | of type XMLCh - The associated namespace.

virtual const XMLCh* XQillaNSResolver::lookupNamespaceURI | ( | const XMLCh * | prefix | ) | const`[pure virtual]`

Look up the namespace URI associated to the given namespace prefix.

The XPath evaluator must never call this with a null or empty argument, because the result of doing this is undefined.

Parameters:

  | prefix | of type XMLCh - The prefix to look for.

Returns:
  the associated namespace URI or null if none is found.

Implements xercesc::DOMXPathNSResolver.

virtual const XMLCh* XQillaNSResolver::lookupPrefix | ( | const XMLCh * | uri | ) | const`[pure virtual]`

Non-standard extension.

XPath2 implementations require a reverse lookup in the static context. Look up the prefix associated with the namespace URI The XPath evaluator must never call this with a null or empty argument, because the result of doing this is undefined.

Parameters:

  | URI | of type XMLCh - The namespace to look for.

Returns:
  the associated prefix or null if none is found.

Implements xercesc::DOMXPathNSResolver.

virtual void XQillaNSResolver::release | ( |  | ) | `[pure virtual]`

| Called to indicate that this object (and its associated children) is no longer in use and that the implementation may relinquish any resources associated with it and its associated children. Access to a released object will lead to unexpected result.

The documentation for this class was generated from the following file:

- XQillaNSResolver.hpp